Bug 134167 - serial installs broken without the "nofb" option
Summary: serial installs broken without the "nofb" option
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-29 21:33 UTC by Joshua Jensen
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 15:31:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Jensen 2004-09-29 21:33:47 UTC
Description of problem:

When kickstarting machine with "console=/dev/ttyS0,9660n1 and "text",
we get no output to the serial link unless we also specify the nofb option

Perhaps console=anything should automatically involk the nofb option?
If not, at least document this "feature", in the Installation Guide
referenced below:

Version-Release number of selected component (if applicable):

RHEL3


Additional info:

Section 4.3.3. Additional Boot Options of the Installation Guide
even gives an example of a serial install:
linux text console=<device>

This doesn't work (you don't see anything down the serial link)
without the nofb option being added

Comment 1 Jeremy Katz 2004-09-29 21:36:20 UTC
You want console=ttyS0,9660n1, not /dev/ttyS0.

Comment 2 Joshua Jensen 2004-09-29 21:44:16 UTC
Yes yes... that is what I meant.  *That* doesn't work without nofb

Comment 3 Joshua Jensen 2004-09-29 21:44:56 UTC
I'll also note the ",9660n1," isn't documented anywhere in the 
Installation Guide

Comment 4 Joshua Jensen 2004-11-05 14:02:30 UTC
Please respond.... "serial" != "serial" unless you *also* add "nofb".
 This isn't documented anywhere.  Either the documentation needs to
change, or (a better fix IMO) the keyword "serial" needs to
automatically include the logic that is involked by nofb.

Comment 5 Jeremy Katz 2004-11-10 23:11:44 UTC
Fair enough... U4 should have it so that serial implies nofb.

Comment 6 Joshua Jensen 2004-11-11 14:48:44 UTC
Cool!  How about a fix for this in FC3+ and RHEL4 ?

Comment 7 Jeremy Katz 2004-11-11 19:05:10 UTC
I already played branch monkey yesterday and merged the change across
all of taroon-branch, rhel4-branch and HEAD.

Comment 8 Joshua Jensen 2005-01-24 18:42:13 UTC
Excellent!  If the changes have really made it into RHEL4 and
Fedora/head, perhaps we can close this.


Note You need to log in before you can comment on or make changes to this bug.